Update member role
PATCH
/organizations/{organization_id}/members/{member_id}Needs org:member:manage. The caller must outrank the role assigned and be the member, an owner, or outrank the member's current role (403 otherwise); the organization's last owner is never demoted (409 last_owner).
Path parameters
organization_idstring
Organization ID
member_idstring
Member ID
Headers
Authorizationstring
Bearer <token>.
Body parameters
Role
roleoptional string
Returns
200OKOrganizationMember
created_atoptional string
deleted_atoptional string
idoptional string
invited_by_user_idoptional string
joined_atoptional string
left_atoptional string
organization_idoptional string
roleoptional string
OWNER, ADMIN, MEMBER, VIEWER
statusoptional string
ACTIVE, INACTIVE, SUSPENDED
updated_atoptional string
user_idoptional string
Errors
- 400Bad Request
- 403Forbidden
- 404Not Found
- 409Conflict